> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts (/api-reference/account/list-accounts)

List all connected OnlyFans accounts.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/accounts
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/accounts:
    get:
      summary: List Accounts
      operationId: listAccounts
      description: List all connected OnlyFans accounts.
      parameters:
        - in: query
          name: onlyfans_id
          description: Optionally, filter by the OnlyFans ID
          example: 1234567890
          required: false
          schema:
            type: string
            description: Optionally, filter by the OnlyFans ID
            example: 1234567890
            nullable: true
        - in: query
          name: onlyfans_username
          description: Optionally, filter by the OnlyFans username
          example: username
          required: false
          schema:
            type: string
            description: Optionally, filter by the OnlyFans username
            example: username
            nullable: true
        - in: query
          name: onlyfans_email
          description: Optionally, filter by the OnlyFans email
          example: creator@example.com
          required: false
          schema:
            type: string
            description: Optionally, filter by the OnlyFans email
            example: creator@example.com
            nullable: true
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: acct_123
                    onlyfans_id:
                      type: integer
                      example: 123
                    onlyfans_username:
                      type: string
                      example: user
                    onlyfans_email:
                      type: string
                      example: user@example.com
                    is_authenticated:
                      type: boolean
                      example: true
                    authentication_progress:
                      type: string
                      example: signed_in
                    display_name:
                      type: string
                      example: oft
                    onlyfans_user_data:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 123
                        ip:
                          type: string
                          example: 127.0.0.1
                        csrf:
                          type: string
                          example: csrf
                        name:
                          type: string
                          example: Name
                        view:
                          type: string
                          example: f
                        about:
                          type: string
                          example: <p>about</p>
                        email:
                          type: string
                          example: user@example.com
                        wsUrl:
                          type: string
                          example: wss://ws2.onlyfans.com/ws3/03
                        avatar:
                          type: string
                          example: https://example.com
                        header:
                          type: string
                          example: https://example.com
                        isAuth:
                          type: boolean
                          example: true
                        ivFlow:
                          type: string
                          example: default
                        upload:
                          type: object
                          properties:
                            geoUploadArgs:
                              type: object
                              properties:
                                preset:
                                  type: string
                                  example: of_beta
                                isDelay:
                                  type: boolean
                                  example: true
                                additional:
                                  type: object
                                  properties:
                                    user:
                                      type: string
                                      example: "123"
                                needThumbs:
                                  type: boolean
                                  example: true
                                preset_png:
                                  type: string
                                  example: of_png
                                protected_preset:
                                  type: string
                                  example: of_drm
                        canChat:
                          type: boolean
                          example: true
                        hasTags:
                          type: boolean
                          example: false
                        website:
                          type: string
                          example: null
                          nullable: true
                        advBlock:
                          type: array
                          example:
                            - subscribe_offers
                          items:
                            type: string
                        ivStatus:
                          type: string
                          example: approved
                        joinDate:
                          type: string
                          example: 2025-04-05T00:00:00+00:00
                        lastSeen:
                          type: string
                          example: 2025-05-16T10:09:48+00:00
                        location:
                          type: string
                          example: null
                          nullable: true
                        paidFeed:
                          type: boolean
                          example: false
                        username:
                          type: string
                          example: user
                        wishlist:
                          type: string
                          example: null
                          nullable: true
                        hasLabels:
                          type: boolean
                          example: false
                        ivCountry:
                          type: string
                          example: US
                        canAddCard:
                          type: boolean
                          example: true
                        canPinPost:
                          type: boolean
                          example: true
                        creditsMax:
                          type: integer
                          example: 200
                        creditsMin:
                          type: integer
                          example: 10
                        headerSize:
                          type: object
                          properties:
                            width:
                              type: integer
                              example: 2126
                            height:
                              type: integer
                              example: 1535
                        isVerified:
                          type: boolean
                          example: false
                        postsCount:
                          type: integer
                          example: 0
                        audiosCount:
                          type: integer
                          example: 0
                        hasNewHints:
                          type: boolean
                          example: true
                        hasScenario:
                          type: boolean
                          example: true
                        isPerformer:
                          type: boolean
                          example: false
                        mediasCount:
                          type: integer
                          example: 0
                        photosCount:
                          type: integer
                          example: 0
                        videosCount:
                          type: integer
                          example: 0
                        wsAuthToken:
                          type: string
                          example: wsAuthToken
                        avatarThumbs:
                          type: object
                          properties:
                            c50:
                              type: string
                              example: https://example.com
                            c144:
                              type: string
                              example: https://example.com
                        canLookStory:
                          type: boolean
                          example: true
                        hasNewAlerts:
                          type: boolean
                          example: false
                        headerThumbs:
                          type: object
                          properties:
                            w480:
                              type: string
                              example: https://example.com
                            w760:
                              type: string
                              example: https://example.com
                        isOtpEnabled:
                          type: boolean
                          example: true
                        ivFailReason:
                          type: string
                          example: null
                          nullable: true
                        newTagsCount:
                          type: integer
                          example: 0
                        creditBalance:
                          type: integer
                          example: 0
                        faceIdRegular:
                          type: array
                          example: []
                        isAgeVerified:
                          type: boolean
                          example: false
                        isAllowTweets:
                          type: boolean
                          example: false
                        isMakePayment:
                          type: boolean
                          example: false
                        needIVApprove:
                          type: boolean
                          example: false
                        watermarkText:
                          type: string
                          example: OnlyFans.com/user
                        canCreateLists:
                          type: boolean
                          example: true
                        canPayInternal:
                          type: boolean
                          example: true
                        favoritedCount:
                          type: integer
                          example: 0
                        favoritesCount:
                          type: integer
                          example: 0
                        hasPinnedPosts:
                          type: boolean
                          example: false
                        isEmailChecked:
                          type: boolean
                          example: true
                        isWantComments:
                          type: boolean
                          example: true
                        canCommentStory:
                          type: boolean
                          example: true
                        countPinnedChat:
                          type: integer
                          example: 0
                        isEmailRequired:
                          type: boolean
                          example: false
                        isPaywallPassed:
                          type: boolean
                          example: true
                        isRealPerformer:
                          type: boolean
                          example: false
                        isVisibleOnline:
                          type: boolean
                          example: true
                        showPostsInFeed:
                          type: boolean
                          example: true
                        subscribesCount:
                          type: integer
                          example: 123
                        twitterUsername:
                          type: string
                          example: user
                        canSendChatToAll:
                          type: boolean
                          example: false
                        isCreditsEnabled:
                          type: boolean
                          example: true
                        pinnedPostsCount:
                          type: integer
                          example: 0
                        subscribersCount:
                          type: integer
                          example: 123
                        chatMessagesCount:
                          type: integer
                          example: 123
                        countPriorityChat:
                          type: integer
                          example: 123
                        hasNotViewedStory:
                          type: boolean
                          example: false
                        hasPurchasedPosts:
                          type: boolean
                          example: false
                        hasWatermarkPhoto:
                          type: boolean
                          example: true
                        hasWatermarkVideo:
                          type: boolean
                          example: true
                        isDeleteInitiated:
                          type: boolean
                          example: false
                        isReferrerAllowed:
                          type: boolean
                          example: false
                        watermarkPosition:
                          type: string
                          example: bottom_right
                        archivedPostsCount:
                          type: integer
                          example: 0
                        isSpotifyConnected:
                          type: boolean
                          example: false
                        isTwitterConnected:
                          type: boolean
                          example: false
                        notificationsCount:
                          type: integer
                          example: 123
                        walletFirstRebills:
                          type: boolean
                          example: false
                        canConnectOfAccount:
                          type: boolean
                          example: true
                        connectedOfAccounts:
                          type: array
                          example: []
                        hasInternalPayments:
                          type: boolean
                          example: false
                        hasNewTicketReplies:
                          type: object
                          properties:
                            open:
                              type: boolean
                              example: false
                            closed:
                              type: boolean
                              example: false
                            solved:
                              type: boolean
                              example: false
                        isRealCardConnected:
                          type: boolean
                          example: true
                        maxPinnedPostsCount:
                          type: integer
                          example: 5
                        isWalletAutorecharge:
                          type: boolean
                          example: false
                        canReceiveChatMessage:
                          type: boolean
                          example: false
                        walletAutorechargeMin:
                          type: integer
                          example: 0
                        hasSystemNotifications:
                          type: boolean
                          example: false
                        isLegalApprovedAllowed:
                          type: boolean
                          example: true
                        isPaymentCardConnected:
                          type: boolean
                          example: true
                        ageVerificationRequired:
                          type: boolean
                          example: false
                        payoutLegalApproveState:
                          type: string
                          example: rejected
                        walletAutorechargeAmount:
                          type: integer
                          example: 0
                        canAlternativeWalletTopUp:
                          type: boolean
                          example: false
                        enabledImageEditorForChat:
                          type: boolean
                          example: true
                        privateArchivedPostsCount:
                          type: integer
                          example: 0
                        isMarkdownDisabledForAbout:
                          type: boolean
                          example: true
                        avatarHeaderConverterUpload:
                          type: boolean
                          example: true
                        hasNewChangedPriceSubscriptions:
                          type: boolean
                          example: false
                example:
                  - id: acct_123
                    onlyfans_id: 123
                    onlyfans_username: user
                    onlyfans_email: user@example.com
                    is_authenticated: true
                    authentication_progress: signed_in
                    display_name: oft
                    onlyfans_user_data:
                      id: 123
                      ip: 127.0.0.1
                      csrf: csrf
                      name: Name
                      view: f
                      about: <p>about</p>
                      email: user@example.com
                      wsUrl: wss://ws2.onlyfans.com/ws3/03
                      avatar: https://example.com
                      header: https://example.com
                      isAuth: true
                      ivFlow: default
                      upload:
                        geoUploadArgs:
                          preset: of_beta
                          isDelay: true
                          additional:
                            user: "123"
                          needThumbs: true
                          preset_png: of_png
                          protected_preset: of_drm
                      canChat: true
                      hasTags: false
                      website: null
                      advBlock:
                        - subscribe_offers
                      ivStatus: approved
                      joinDate: 2025-04-05T00:00:00+00:00
                      lastSeen: 2025-05-16T10:09:48+00:00
                      location: null
                      paidFeed: false
                      username: user
                      wishlist: null
                      hasLabels: false
                      ivCountry: US
                      canAddCard: true
                      canPinPost: true
                      creditsMax: 200
                      creditsMin: 10
                      headerSize:
                        width: 2126
                        height: 1535
                      isVerified: false
                      postsCount: 0
                      audiosCount: 0
                      hasNewHints: true
                      hasScenario: true
                      isPerformer: false
                      mediasCount: 0
                      photosCount: 0
                      videosCount: 0
                      wsAuthToken: wsAuthToken
                      avatarThumbs:
                        c50: https://example.com
                        c144: https://example.com
                      canLookStory: true
                      hasNewAlerts: false
                      headerThumbs:
                        w480: https://example.com
                        w760: https://example.com
                      isOtpEnabled: true
                      ivFailReason: null
                      newTagsCount: 0
                      creditBalance: 0
                      faceIdRegular: []
                      isAgeVerified: false
                      isAllowTweets: false
                      isMakePayment: false
                      needIVApprove: false
                      watermarkText: OnlyFans.com/user
                      canCreateLists: true
                      canPayInternal: true
                      favoritedCount: 0
                      favoritesCount: 0
                      hasPinnedPosts: false
                      isEmailChecked: true
                      isWantComments: true
                      canCommentStory: true
                      countPinnedChat: 0
                      isEmailRequired: false
                      isPaywallPassed: true
                      isRealPerformer: false
                      isVisibleOnline: true
                      showPostsInFeed: true
                      subscribesCount: 123
                      twitterUsername: user
                      canSendChatToAll: false
                      isCreditsEnabled: true
                      pinnedPostsCount: 0
                      subscribersCount: 123
                      chatMessagesCount: 123
                      countPriorityChat: 123
                      hasNotViewedStory: false
                      hasPurchasedPosts: false
                      hasWatermarkPhoto: true
                      hasWatermarkVideo: true
                      isDeleteInitiated: false
                      isReferrerAllowed: false
                      watermarkPosition: bottom_right
                      archivedPostsCount: 0
                      isSpotifyConnected: false
                      isTwitterConnected: false
                      notificationsCount: 123
                      walletFirstRebills: false
                      canConnectOfAccount: true
                      connectedOfAccounts: []
                      hasInternalPayments: false
                      hasNewTicketReplies:
                        open: false
                        closed: false
                        solved: false
                      isRealCardConnected: true
                      maxPinnedPostsCount: 5
                      isWalletAutorecharge: false
                      canReceiveChatMessage: false
                      walletAutorechargeMin: 0
                      hasSystemNotifications: false
                      isLegalApprovedAllowed: true
                      isPaymentCardConnected: true
                      ageVerificationRequired: false
                      payoutLegalApproveState: rejected
                      walletAutorechargeAmount: 0
                      canAlternativeWalletTopUp: false
                      enabledImageEditorForChat: true
                      privateArchivedPostsCount: 0
                      isMarkdownDisabledForAbout: true
                      avatarHeaderConverterUpload: true
                      hasNewChangedPriceSubscriptions: false
      tags:
        - Account
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````